Блог использует HTTPS соединение.
Если вы работаете на Windows XP (или более ранняя) или у вас OpenSSL 0.9.8 (или более ранний)
Используйте Firefox как браузер для комфортного чтения, так как он поддерживает все необходимые шифры.
Firefox >>Зайти в блог